NX Open C++ Reference Guide
|
Represents a Curve Continuity Analysis builder
To create or edit an instance of this class, use GeometricAnalysis::CurveContinuityBuilder
Created in NX7.0.0.
More...
Additional Inherited Members | |
![]() | |
enum | ObjectFont { ObjectFontSolid = 1, ObjectFontDashed, ObjectFontPhantom, ObjectFontCenterline, ObjectFontDotted, ObjectFontLongDashed, ObjectFontDottedDashed } |
specifies the object font for objects such as lines Created in NX3.0.0. More... | |
enum | ObjectWidth { ObjectWidthNormal, ObjectWidthThick, ObjectWidthThin, ObjectWidthOne = 5, ObjectWidthTwo, ObjectWidthThree, ObjectWidthFour, ObjectWidthFive, ObjectWidthSix, ObjectWidthSeven, ObjectWidthEight, ObjectWidthNine } |
specifies object width for objects such as lines and text Created in NX3.0.0. More... | |
![]() | |
void | Blank () |
Blanks the object. | |
int | Color () |
Returns the color of the object. | |
void | Highlight () |
Highlights the object. | |
bool | IsBlanked () |
Returns the blank status of this object. | |
int | Layer () |
Returns the layer that the object is in. | |
NXOpen::DisplayableObject::ObjectFont | LineFont () |
Returns the line font of the object. | |
NXOpen::DisplayableObject::ObjectWidth | LineWidth () |
Returns the line width of the object. | |
NXOpen::Point3d | NameLocation () |
Returns the location of the object's name. | |
void | RedisplayObject () |
Redisplays the object in all views. | |
void | SetColor (int color) |
Sets the color of the object. | |
void | SetLayer (int layer) |
Sets the layer that the object is in. | |
void | SetLineFont (NXOpen::DisplayableObject::ObjectFont font) |
Sets the line font of the object. | |
void | SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width) |
Sets the line width of the object. | |
void | SetNameLocation (const NXOpen::Point3d &location) |
Sets the location of the object's name. | |
void | Unblank () |
Unblanks the object. | |
void | Unhighlight () |
Unhighlights the object. | |
Represents a Curve Continuity Analysis builder
To create or edit an instance of this class, use GeometricAnalysis::CurveContinuityBuilder
Created in NX7.0.0.